reset
#set terminal X11
set terminal postscript enhanced color
set output 'errorsignal.ps'

r(x) = ra*x+rb
ra = 1 # V_PZT/sample
rb = 1

fit r(x) 'scope_0_1.dat' u 0:2 via ra,rb

f(x) = fa*x+fb
fa = 1 # V_MIX/sample
fb = 1

fit [1212:1241] f(x) 'scope_0_2.dat' u 0:2 via fa,fb

# time calibration
g = 1/(ra*2e6)  # sample/Hz NPRO PZT calibration 2MHz/V

set xlabel "time (a.u.)"
set ylabel "signal PZT voltage(V)"
set y2label "error signal (V)"
set y2tics
set grid
set title "Error signal of FSS"

set samples 1000

slopef = fa*g # V/Hz
sloper = ra*g # V/Hz

set y2range [-3:4]
set yrange [1:3]
set xrange [500:2000]

plot \
	'scope_0_1.dat' u 0:2 axis x1y1 title 'PZT volatge' w l, \
	'scope_0_2.dat' u 0:2 axis x1y2 title 'Error signal' w l,\
	f(x) title gprintf('PDH signal fit (%.3g V/Hz)', slopef) axis x1y2 , \
	r(x) title gprintf("Ramp fit (%.3g V/Hz)", sloper) axis x1y1 lc 7 lw 2

system('epstopdf --autorotate=All errorsignal.ps')